--[[
	MOD/lua/asd.lua
	Sir Husky | STEAM_0:0:5785832 <62.107.240.233:27005> | [12-02-14 03:37:23PM]
	===BadFile===
]]

local Enabled = CreateClientConVar("Bee_Fishy", "0", true, false)
local Enabled2 = CreateClientConVar("Bee_Zombiewalk", "0", true, false)
local Enabled3 = CreateClientConVar("Bee_Wtf", "0", true, false)
local Enabled4 = CreateClientConVar("Bee_Random", "0", true, false)
local Enabled5 = CreateClientConVar("Bee_Glitchwalk", "0", true, false)
local Enabled6 = CreateClientConVar("Bee_Retardmode", "0", true, false)
local Enabled7 = CreateClientConVar("Bee_Laugh", "0", true, false)
local Enabled8 = CreateClientConVar("Bee_Slide", "0", true, false)
local Enabled9 = CreateClientConVar("Bee_Crouch", "0", true, false)
local Enabled10 = CreateClientConVar("Bee_Water", "0", true, false)
local Enabled11 = CreateClientConVar("Bee_Gunsound", "0", true, false)
local Enabled12 = CreateClientConVar("Bee_Harlemshake", "0", true, false)
local Enabled13 = CreateClientConVar("Bee_Seat", "0", true, false)
local Enabled14 = CreateClientConVar("Bee_Slidedefault", "0", true, false)
local Enabled15 = CreateClientConVar("Bee_run", "0", true, false)
local Enabled16 = CreateClientConVar("Bee_Drunk", "0", true, false)

local function doBee_Fishy()
	if Enabled:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1627")
	end
end


timer.Create("anim", 1, 0, doBee_Fishy)

local function doBee_Zombiewalk()
	if Enabled2:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1632")
	end
end

timer.Create("anim2", 1.3, 0, doBee_Zombiewalk)


local function doBee_Wtf()
	if Enabled3:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1633")
	end
end

timer.Create("anim3", 1, 0, doBee_Wtf)


local function doBee_Random()
        if Enabled4:GetBool() then
                 RunConsoleCommand("_DarkRP_DoAnimation", "1625")
         end
end

timer.Create("anim4", 1, 0, doBee_Random)


local function doBee_Glitchwalk()
	    if Enabled5:GetBool() then
		          RunConsoleCommand("_DarkRP_DoAnimation", "1650")
	    end
end

timer.Create("anim5", 1, 0, doBee_Glitchwalk)


local function doBee_Retardmode()
        if Enabled6:GetBool() then
                RunConsoleCommand("_DarkRP_DoAnimation", "1617")
        end
end

timer.Create("anim6", 1, 0, doBee_Retardmode)


local function doBee_Laugh()
	if Enabled7:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1618")
	end
end


timer.Create("anim7", 1, 0, doBee_Laugh)

local function doBee_Slide()
	if Enabled8:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1666")
	end
end

timer.Create("anim8", 0.1, 0, doBee_Slide)


local function doBee_Crouch()
	if Enabled9:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1794")
	end
end

timer.Create("anim9", 0.8, 0, doBee_Crouch)


local function doBee_Water()
	if Enabled10:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1772")
	end
end

timer.Create("anim10", 1.2, 0, doBee_Water)


local function doBee_Gunsound()
	if Enabled11:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1769")
	end
end

timer.Create("anim11", 0.6, 0, doBee_Gunsound)


local function doBee_Harlemshake()
	if Enabled12:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1634")
	end
end

timer.Create("anim12", 0.9, 0, doBee_Harlemshake)


local function doBee_Seat()
	if Enabled13:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1895")
	end
end


timer.Create("anim13", 0.1, 0, doBee_Seat)


local function doBee_Slidedefault()
	if Enabled14:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1760")
	end
end


timer.Create("anim14", 0.5, 0, doBee_Slidedefault)



local function doBee_Run()
        if Enabled15:GetBool() then
                RunConsoleCommand("_DarkRP_DoAnimation", "1623")
        end
end
 
timer.Create("anim15", 0.40, 0, doBee_Run)


local function doBee_Drunk()
	if Enabled16:GetBool() then
		RunConsoleCommand("_DarkRP_DoAnimation", "1688")
	end
end


timer.Create("anim16", 0.5, 0, doBee_Drunk)